Subject: [Bitcoin-development] Reusable payment codes

From: Justus Ranvier <[email-masked]>
Date: Fri, 24 Apr 2015 22:00:46 +0200

-----BEGIN PGP SIGNED MESSAGE-----

Hash: SHA1

https://github.com/justusranvier/rfc/blob/payment_code/bips/bip-pc01.mediawiki

This link contains an RFC for a new type of Bitcoin address called a
"payment code"

Payment codes are SPV-friendly alternatives to DarkWallet-style stealth
addresses which provide useful features such as positively identifying
senders to recipients and automatically providing for transaction refunds.

Payment codes can be publicly advertised and associated with a real-life
identity without causing a loss of financial privacy.

Compared to stealth addresses, payment codes require less blockchain data
storage.

Payment codes require 65 bytes of OP_RETURN data per sender-recipient pair,
while stealth addresses require 40 bytes per transaction.